POST V1/PaymentsMaster.{ext}/GeneratePennyTestFile

To generate penny test file for ACH type bank accounts.
Mandatory Fileds: PaymentFileDate,SettlementDate,VendorACHRemitIds,CompanyId
Optional Fileds : N/A

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Payments.Entities.GeneratePennyTest
NameDescriptionTypeAdditional information
CompanyId

Gets or sets Company Id.

string

None.

PaymentCurrency

Gets or sets Payment Currency.

string

None.

PaymentFileDate

Gets or sets Payment File Date.

string

None.

SettlementDate

Gets or sets Settlement Date.

string

None.

VendorACHRemitIds

Gets or sets Vendor Ach Remit Ids.

string

None.

Request Formats

application/json, text/json

Sample:
{
  "companyId": "sample string 1",
  "paymentCurrency": "sample string 2",
  "paymentFileDate": "sample string 3",
  "settlementDate": "sample string 4",
  "vendorACHRemitIds": "sample string 5"
}

application/xml, text/xml

Sample:
<GeneratePennyTest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <CompanyId>sample string 1</CompanyId>
  <PaymentCurrency>sample string 2</PaymentCurrency>
  <PaymentFileDate>sample string 3</PaymentFileDate>
  <SettlementDate>sample string 4</SettlementDate>
  <VendorACHRemitIds>sample string 5</VendorACHRemitIds>
</GeneratePennyTest>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.